<script lang="ts">
  import { getRank, getSuit } from "../serverUtils";
  import Eight from "./art/Eight.svelte";
  import Four from "./art/Four.svelte";
  import Six from "./art/Six.svelte";
  import Ten from "./art/Ten.svelte";
  import Two from "./art/Two.svelte";
  import { rankEmoji } from "./cardUtils";

  export let card: Card;

  $: rank = getRank(card);
  $: suit = getSuit(card);

  $: faceEmoji = rankEmoji(rank);
</script>

{#if faceEmoji}
  <div class="art">
    <span class="emoji">{faceEmoji}</span>
  </div>
{:else}
  <div class="number-art-container">
    {#if rank === "2"}
      <Two {suit} />
    {:else if rank === "4"}
      <Four {suit} />
    {:else if rank === "6"}
      <Six {suit} />
    {:else if rank === "8"}
      <Eight {suit} />
    {:else if rank === "10"}
      <Ten {suit} />
    {/if}
  </div>
{/if}

<style>
  .art {
    text-shadow: 0 0 0.1em #000a;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .emoji {
    font-size: 4em;
    transform: translateY(-10%);
  }
  .number-art-container {
    height: 100%;
    position: relative;
  }
</style>
